Cancel
Showing results for 
Search instead for 
Did you mean: 

surface/sheet body from plane equation?

Genius
Genius

Is there a way to create a surface/sheetbody from an equation of a plane?

 

#returns a tuple with a list for the normal coefficients (a,b,c) in index 0 and the d coefficient in index 1
     plane_tuple=uf_facet.AskPlaneEquation(facet_tag, i)
     self.theLw.WriteLine("The normal is "+str(plane_tuple[0]))

https://docs.plm.automation.siemens.com/data_services/resources/nx/10/nx_api/en_US/custom/nxopen_pyt...

 

I was able to create a four point surface using vertices but I have not seen anything where you can just use the plane equation as the input/argument. Other options like N-Sided surface, Ruled require guide curves

 

           fourPointSurfaceBuilder1=workPart.Bodies.CreateFourPointSurfaceBuilder()
           #can access vertices this way [][][]
           coordinates1 = NXOpen.Point3d(temp_tuple[1][0][0],temp_tuple[1][0][1],temp_tuple[1][0][2])
           point1 = workPart.Points.CreatePoint(coordinates1)
.......
1 REPLY

Re: surface/sheet body from plane equation?

Gears Honored Contributor Gears Honored Contributor
Gears Honored Contributor

The plane equation describes an infinite plane. It really only gives you the orientation of the plane; to create a sheet body, you would also need to define the boundaries. There is an option to create a datum plane from the plane equation coefficients; you could create curves on such a datum plane to define the sheet body boundaries then use the "bounded plane" command to create the surface.